Bug 15405 - Change design of "Add table" to make it easier to add columns
Change design of "Add table" to make it easier to add columns
Status: RESOLVED FIXED
Product: db
Classification: Unclassified
Component: Code
3.x
All All
: P4 (vote)
: 6.x
Assigned To: David Vancouvering
issues@db
4.2-candidate
:
Depends on:
Blocks: 152581 152827
  Show dependency treegraph
 
Reported: 2001-09-12 15:19 UTC by issues@www
Modified: 2009-06-23 13:44 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description issues@www 2001-09-12 15:19:33 UTC
Description: 
Editing columns directly in the JTable is very awkward. You have to do a lot of 
horizontal scrolling and exact clicking.

Instead, it would be nice to remove the in-line editing and do something like 
the class wizard. In the class wizard (File->New->Classes->Class) you can build 
a list of fields or methods by editing properties of that field and then adding 
it to the list above.

The "New Table" dialog box could do much the same thing. The user could hit 
a "new column" button next to a list of columns and then edit it's attributes 
down below.

I would be happy to provide screen layout and NetBeans form for a redesign if 
desired. - Jan B.

Evaluation: 
this RFE leads to re-design layout the dialogs and forms in whole dbexplorer 
module to be in consistence each other.
We are going to have it in mind during re-implemention and re-design dbexplorer 
and dbschema modules in Orion release.

A comment.
Comment 1 Radko Najman 2001-10-02 11:26:26 UTC
Will not be fixed in the current Database Explorer module. Wizard will be redesign in the new module 
which will merge and replace DBExplorer and DBSchema modules.
Comment 2 Radko Najman 2001-12-04 10:19:23 UTC
Reopening to change the status.
Comment 3 Radko Najman 2001-12-04 10:19:57 UTC
Will be investigated for new module based on MDR.
Comment 4 Quality Engineering 2003-06-30 17:16:46 UTC
Resolved for 3.3.x or earlier, no new info since then -> closing.
Comment 5 Quality Engineering 2003-06-30 17:17:35 UTC
Resolved for 3.3.x or earlier, no new info since then -> closing.
Comment 6 Jan Chalupa 2003-10-30 12:07:31 UTC
A mistakenly closed RESOLVED LATER/REMIND issue. Reopening.
Comment 7 Jiri Skrivanek 2009-06-23 13:44:35 UTC
Fixed as issue 148825. Add Column dialog is now used to add/edit a new column to the list.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo